Return owned and related activity for one resource.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/activity-feed"), Content = new StringContent("{ \"Resource\": { \"ModuleKey\": \"example\", \"ResourceKind\": \"example\", \"ContextResourceId\": \"example\", \"ResourceObjectId\": \"example\" }, \"Page\": 1, \"PageSize\": 1, \"Scope\": 0, \"Kinds\": [ 1 ] }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/activity-feed';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"Resource":{"ModuleKey":"example","ResourceKind":"example","ContextResourceId":"example","ResourceObjectId":"example"},"Page":1,"PageSize":1,"Scope":0,"Kinds":[1]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/activity-feed \ --header 'Content-Type: application/json' \ --data '{ "Resource": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "Page": 1, "PageSize": 1, "Scope": 0, "Kinds": [ 1 ] }'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Resource activity feed query.
object
object
Scope for resource activity feed reads.
Resource activity feed query.
object
object
Scope for resource activity feed reads.
Resource activity feed query.
object
object
Scope for resource activity feed reads.
Responses
Section titled “Responses”OK
object
Paginated resource activity feed.
object
One resource-aware activity feed item.
object
User-facing activity event type.
Content type represented by an activity feed item.
Display and navigation context for a resource referenced by an activity feed item.
object
object
object
object
Display and navigation context for a resource referenced by an activity feed item.
object
object
object
object
Display and navigation context for a resource referenced by an activity feed item.
object
object
object
object
Comment details.
object
Comment identifier.
object
Comment text.
Detected language for search.
Optional parent comment identifier.
Resource relations attached to the comment.
object
object
object
object
object
Creator user identifier.
Creator display name.
Last modifier user identifier.
Last modifier display name.
Edit deadline timestamp.
Whether the comment has been edited.
Number of replies.
Creation timestamp.
Last modification timestamp.
Whether the comment is soft deleted.
Permissions for a comment evaluated for the current user.
object
Whether the comment can be viewed.
Whether the comment can be edited.
Whether the comment can be deleted.
Whether a reply can be created.
object
object
object
object
object
object
object
object
Actions available for an activity feed item.
object
object
object
object
object
Example
{ "Data": { "Items": [ { "EventKind": 1, "ContentKind": 1, "Comment": { "Relations": [ { "RelationKind": 0 } ] }, "Attachment": { "Relations": [ { "RelationKind": 0 } ] } } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
Paginated resource activity feed.
object
One resource-aware activity feed item.
object
User-facing activity event type.
Content type represented by an activity feed item.
Display and navigation context for a resource referenced by an activity feed item.
object
object
object
object
Display and navigation context for a resource referenced by an activity feed item.
object
object
object
object
Display and navigation context for a resource referenced by an activity feed item.
object
object
object
object
Comment details.
object
Comment identifier.
object
Comment text.
Detected language for search.
Optional parent comment identifier.
Resource relations attached to the comment.
object
object
object
object
object
Creator user identifier.
Creator display name.
Last modifier user identifier.
Last modifier display name.
Edit deadline timestamp.
Whether the comment has been edited.
Number of replies.
Creation timestamp.
Last modification timestamp.
Whether the comment is soft deleted.
Permissions for a comment evaluated for the current user.
object
Whether the comment can be viewed.
Whether the comment can be edited.
Whether the comment can be deleted.
Whether a reply can be created.
object
object
object
object
object
object
object
object
Actions available for an activity feed item.
object
object
object
object
object
Example
{ "Data": { "Items": [ { "EventKind": 1, "ContentKind": 1, "Comment": { "Relations": [ { "RelationKind": 0 } ] }, "Attachment": { "Relations": [ { "RelationKind": 0 } ] } } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}